Bug 850344 - Introduce new systemd-rpm macros in tomcat6 spec file
Introduce new systemd-rpm macros in tomcat6 spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tomcat6 (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:13 EDT by Lukáš Nykrýn
Modified: 2013-03-25 15:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 10:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:13:01 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Mikolaj Izdebski 2013-03-14 10:38:37 EDT
Package tomcat6 has been deprecated in Fedora 19 and later.
I am closing this bug as WONTFIX.

For more information why tomcat6 was deprecated see:
  http://bugzilla.redhat.com/918010
  http://lists.fedoraproject.org/pipermail/devel/2013-March/179847.html
  http://fedorahosted.org/fesco/ticket/1094
Comment 2 David Knox 2013-03-25 15:43:56 EDT
The scriptlets for f18 are as shown at https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd. changing state to CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.